# $Id$
# Authority: dag

Summary: Minimal SSH command and control
Name: ansible
Version: 0.4.1
Release: 1%{?dist}
License: GPLv3+
Group: Development/Libraries
URL: http://ansible.github.com/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: https://github.com/downloads/ansible/ansible/ansible-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python2-devel >= 2.6
Requires: python >= 2.6
Requires: python-jinja2
Requires: python-paramiko
Requires: PyYAML

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root="%{buildroot}"

%{__install} -Dp -m0644 examples/hosts %{buildroot}%{_sysconfdir}/ansible/hosts
%{__install} -Dp -m0644 docs/man/man1/ansible.1 %{buildroot}%{_mandir}/man1/ansible.1
%{__install} -Dp -m0644 docs/man/man1/ansible-playbook.1 %{buildroot}%{_mandir}/man1/ansible-playbook.1
%{__install} -d -m0755 %{buildroot}%{_datadir}/ansible/
%{__cp} -av library/* %{buildroot}%{_datadir}/ansible/

%files
%defattr(-, root, root, 0755)
%doc COPYING PKG-INFO README.md
%doc %{_mandir}/man1/ansible*
%config(noreplace) %{_sysconfdir}/ansible
%{_bindir}/ansible*
%{_datadir}/ansible
%{python_sitelib}/ansible*

%changelog
* Fri Jun 22 2012 Dag Wieers <dag@wieers.com> - 0.4.1-1
- Initial package. (using DAR)
